%STATISTICKÉ ZPRACOVÁNÍ HRV
load ppgstatp
ppgstat=ppgstatp;%naštení matice pro statistické zpracování
ppgstat1=[];
for i=1:41 %cyklus pro odstranění maxima a minima v sloupcích matice
    ppgstat2=ppgstat(:,i);
    ppgstat2=ppgstat2(ppgstat2<max(ppgstat2) & ppgstat2>min(ppgstat2));
    ppgstat1=[ppgstat1 ppgstat2];
end

minimum=round(median(ppgstat1(ppgstat1<0))); 	%zaokrouhlený median minim matice ppgstat1 – odstraněné extrémní hodnoty
maximum=round(median(ppgstat1(ppgstat1>0))); 	%zaokrouhlený median maximum matice ppgstat1
pom=(maximum+abs(minimum))/4;	%rozdíl minima a maxima /4
for i=1:41; 	%cyklus pro statistickou analýzu, 1.obrázek je bez dotazníku
    for j=1:5 			%5 hladin
        m=minimum+pom*(j-1);	%výpočet průměru k testování
        [h(j,i),u(j,i)]=ttest(ppgstat1(:,i),m,0.05); %testování sloupce matice s nulovou hypotézou průměru m
    end
end
[~,prodotaznik] = max(u); %hledání maxim testových statistik
prodotaznik=prodotaznik(2:end); %vyřazení neutrálního obrázku
for i=1:length(prodotaznik); %cyklus který přepisuje hodnoty od 1:5 na -2:2, aby se dal porovnat s výsledky dotazníku
    if prodotaznik(i)==1
        prodotaznik(i)=2;
    elseif prodotaznik(i)==2
        prodotaznik(i)=1;
    elseif prodotaznik(i)==3
        prodotaznik(i)=0;
    elseif prodotaznik(i)==4
        prodotaznik(i)=-1;
    elseif prodotaznik(i)==5
        prodotaznik(i)=-2;
    end
end
